<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity TBGuidelineDetails.
    -->
    <changeSet id="20201215153420-2" author="jhipster">
        <addForeignKeyConstraint baseColumnNames="tb_customer_id"
                                 baseTableName="tb_customer_has_crop_type"
                                 constraintName="fk_tb_customer_has_crop_type_tb_customer_id"
                                 referencedColumnNames="id"
                                 referencedTableName="tb_customer"/>
        <addForeignKeyConstraint baseColumnNames="tb_crop_type_id"
                                 baseTableName="tb_customer_has_crop_type"
                                 constraintName="fk_tb_customer_has_crop_type_tb_crop_type_id"
                                 referencedColumnNames="id"
                                 referencedTableName="tb_crop_type"/>
        <addForeignKeyConstraint baseColumnNames="tb_activity_type_id"
                                 baseTableName="tb_customer_has_crop_type"
                                 constraintName="fk_tb_customer_has_crop_type_tb_activity_type_id"
                                 referencedColumnNames="id"
                                 referencedTableName="tb_activity_type"/>
    </changeSet>
</databaseChangeLog>
